Skip to content
Coritan Docs

Client API: Mail: Domains

The 6 Client API operations for domains.

View as Markdown

Part of Mail.

GET /api/v1/client/mail/{service_id}/domains

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
service_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/client/mail/{service_id}/domains

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
service_id path integer yes

application/json (required)

Field Type Required
domain string yes
primary boolean no
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/client/mail/{service_id}/domains/{domain_id}

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
domain_id path integer yes
service_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

PATCH /api/v1/client/mail/{service_id}/domains/{domain_id}/dmarc

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
domain_id path integer yes
service_id path integer yes

application/json (required)

Field Type Required
stage string or null no
pinned boolean or null no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/client/mail/{service_id}/domains/{domain_id}/records

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
domain_id path integer yes
service_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/client/mail/{service_id}/domains/{domain_id}/verify

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
domain_id path integer yes
service_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.